Bug 443235 - gpk-install-file does not handle files where the path has a space
gpk-install-file does not handle files where the path has a space
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-19 11:11 EDT by Patrick C. F. Ernzer
Modified: 2008-05-19 04:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-19 04:27:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
what i'm about to commit (13.73 KB, patch)
2008-04-20 16:50 EDT, Richard Hughes
no flags Details | Diff

  None (edit)
Description Patrick C. F. Ernzer 2008-04-19 11:11:31 EDT
Description of problem:
When a user double clicks an RPM in nautilus, the path of which has a space,
package installation fails

Version-Release number of selected component (if applicable):
gnome-packagekit-0.1.12-5.20080416git.fc9.i386

How reproducible:
always

Steps to Reproduce:
1. as user, double-click a file to install which has a space in the path (e.g.:
/media/VMware Tools/VMwareTools-5.5.6-80404.i386.rpm)
2. authenticate as root
  
Actual results:
package installation fails with "The package that is trying to be installed is
already installed."
clicking on "More details" shows "Can't install /media/VMware"

Expected results:
twofold:
  1) an error message that is not misleading
  2) handling of spaces in filenames

Additional info:
file-roller-2.22.1-1.fc9 handles the same file & path just fine (i.e. right
clicking the file and selecting Open with "Archive Manager"). So there must be a
way to deal with the spaces.
Comment 1 Richard Hughes 2008-04-20 15:14:27 EDT
>an error message that is not misleading

Fixed in 8c4a5efbf356a9886cc7dea4893b07dae4bd94c6

I'm now trying to work out where the space issue is. The daemon does the right
thing, so I'm erring on the backend.
Comment 2 Richard Hughes 2008-04-20 16:46:16 EDT
Nope, it's my fault, I'm assuming a space is a delimiter in pk_spawn_command.
I'll fix this now.
Comment 3 Richard Hughes 2008-04-20 16:50:05 EDT
Created attachment 303072 [details]
what i'm about to commit

This is the proper fix.
Comment 4 Richard Hughes 2008-04-20 17:19:37 EDT
Fixed in master and stable, many thanks.
Comment 5 Bug Zapper 2008-05-14 05:44:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.